io.vertx.openapi.contract

## Enum ContractErrorType

- java.lang.Object
- - java.lang.Enum<ContractErrorType>
  - - io.vertx.openapi.contract.ContractErrorType

- All Implemented Interfaces:
    Serializable, Comparable<ContractErrorType>

      public enum ContractErrorType
      extends Enum<ContractErrorType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `INVALID_SPEC` Provided file is not a valid OpenAPI contract
    `UNSUPPORTED_FEATURE` You are trying to use an OpenAPI feature that is not supported.
    `UNSUPPORTED_SPEC` You are trying to use an OpenAPI contract within a version that is not supported.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ContractErrorType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ContractErrorType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INVALID_SPEC

          public static final ContractErrorType INVALID_SPEC

      Provided file is not a valid OpenAPI contract

    - #### UNSUPPORTED_SPEC

          public static final ContractErrorType UNSUPPORTED_SPEC

      You are trying to use an OpenAPI contract within a version that is not supported.

    - #### UNSUPPORTED_FEATURE

          public static final ContractErrorType UNSUPPORTED_FEATURE

      You are trying to use an OpenAPI feature that is not supported.

  - ### Method Detail

    - #### values

          public static ContractErrorType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ContractErrorType c : ContractErrorType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ContractErrorType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2025 Eclipse. All rights reserved.